Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.anim
Class OdfAnimateColorElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.anim.OdfAnimateColorElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfAnimateColor

    public abstract class OdfAnimateColorElement

extends OdfElement

DOM implementation of OpenDocument element anim:animateColor.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfAnimateColorElement(OdfFileDom aOwnerDoc)` Create the instance of OdfAnimateColorElement

Method Summary
`Double` | `getAccelerate()` Get value of attribute smil:accelerate.
`OdfAccumulateType` | `getAccumulate()` Get value of attribute smil:accumulate.
`OdfAdditiveType` | `getAdditive()` Get value of attribute smil:additive.
`String` | `getAttributeName()` Get value of attribute smil:attributeName.
`OdfBoolean` | `getAutoReverse()` Get value of attribute smil:autoReverse.
`String` | `getBegin()` Get value of attribute smil:begin.
`String` | `getBy()` Get value of attribute smil:by.
`OdfCalcModeType` | `getCalcMode()` Get value of attribute smil:calcMode.
`OdfColorInterpolationType` | `getColorInterpolation()` Get value of attribute anim:color-interpolation.
`OdfColorInterpolationDirectionType` | `getColorInterpolationDirection()` Get value of attribute anim:color-interpolation-direction.
`Double` | `getDecelerate()` Get value of attribute smil:decelerate.
`String` | `getDur()` Get value of attribute smil:dur.
`String` | `getEnd()` Get value of attribute smil:end.
`OdfFillType` | `getFill()` Get value of attribute smil:fill.
`OdfFillDefaultType` | `getFillDefault()` Get value of attribute smil:fillDefault.
`String` | `getFormula()` Get value of attribute anim:formula.
`String` | `getFrom()` Get value of attribute smil:from.
`String` | `getKeySplines()` Get value of attribute smil:keySplines.
`String` | `getKeyTimes()` Get value of attribute smil:keyTimes.
`OdfName` | `getOdfName()` Get the element name
`OdfNonNegativeInteger` | `getRepeatCount()` Get value of attribute smil:repeatCount.
`String` | `getRepeatDur()` Get value of attribute smil:repeatDur.
`OdfRestartType` | `getRestart()` Get value of attribute smil:restart.
`OdfRestartDefaultType` | `getRestartDefault()` Get value of attribute smil:restartDefault.
`String` | `getSubItem()` Get value of attribute anim:sub-item.
`OdfId` | `getTargetElement()` Get value of attribute smil:targetElement.
`String` | `getTo()` Get value of attribute smil:to.
`String` | `getValues()` Get value of attribute smil:values.
`void` | `init(String attributeName)` Initialization of the mandatory attributes of `OdfAnimateColorElement`
`void` | `setAccelerate(Double accelerate)` Set value of attribute smil:accelerate.
`void` | `setAccumulate(OdfAccumulateType accumulate)` Set value of attribute smil:accumulate.
`void` | `setAdditive(OdfAdditiveType additive)` Set value of attribute smil:additive.
`void` | `setAttributeName(String attributeName)` Set value of attribute smil:attributeName.
`void` | `setAutoReverse(OdfBoolean isAutoReverse)` Set value of attribute smil:autoReverse.
`void` | `setBegin(String begin)` Set value of attribute smil:begin.
`void` | `setBy(String by)` Set value of attribute smil:by.
`void` | `setCalcMode(OdfCalcModeType calcMode)` Set value of attribute smil:calcMode.
`void` | `setColorInterpolation(OdfColorInterpolationType colorInterpolation)` Set value of attribute anim:color-interpolation.
`void` | `setColorInterpolationDirection(OdfColorInterpolationDirectionType colorInterpolationDirection)` Set value of attribute anim:color-interpolation-direction.
`void` | `setDecelerate(Double decelerate)` Set value of attribute smil:decelerate.
`void` | `setDur(String dur)` Set value of attribute smil:dur.
`void` | `setEnd(String end)` Set value of attribute smil:end.
`void` | `setFill(OdfFillType fill)` Set value of attribute smil:fill.
`void` | `setFillDefault(OdfFillDefaultType fillDefault)` Set value of attribute smil:fillDefault.
`void` | `setFormula(String formula)` Set value of attribute anim:formula.
`void` | `setFrom(String from)` Set value of attribute smil:from.
`void` | `setKeySplines(String keySplines)` Set value of attribute smil:keySplines.
`void` | `setKeyTimes(String keyTimes)` Set value of attribute smil:keyTimes.
`void` | `setRepeatCount(OdfNonNegativeInteger repeatCount)` Set value of attribute smil:repeatCount.
`void` | `setRepeatDur(String repeatDur)` Set value of attribute smil:repeatDur.
`void` | `setRestart(OdfRestartType restart)` Set value of attribute smil:restart.
`void` | `setRestartDefault(OdfRestartDefaultType restartDefault)` Set value of attribute smil:restartDefault.
`void` | `setSubItem(String subItem)` Set value of attribute anim:sub-item.
`void` | `setTargetElement(OdfId targetElement)` Set value of attribute smil:targetElement.
`void` | `setTo(String to)` Set value of attribute smil:to.
`void` | `setValues(String values)` Set value of attribute smil:values.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfAnimateColorElement

    public OdfAnimateColorElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfAnimateColorElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element anim:animateColor.

### init

    public void init(String attributeName)

  Initialization of the mandatory attributes of `OdfAnimateColorElement`

  Parameters:
    `attributeName` - The mandatory attribute smil:attributeName"

### getTargetElement

    public OdfId getTargetElement()

  Get value of attribute smil:targetElement.

  Returns:
    return the attribute which type is OdfId

### setTargetElement

    public void setTargetElement(OdfId targetElement)

  Set value of attribute smil:targetElement.

  Parameters:
    `targetElement` - the attribute's type is OdfId

### getSubItem

    public String getSubItem()

  Get value of attribute anim:sub-item.

  Returns:
    return the attribute which type is String

### setSubItem

    public void setSubItem(String subItem)

  Set value of attribute anim:sub-item.

  Parameters:
    `subItem` - the attribute's type is String

### getAttributeName

    public String getAttributeName()

  Get value of attribute smil:attributeName.

  Returns:
    return the attribute which type is String

### setAttributeName

    public void setAttributeName(String attributeName)

  Set value of attribute smil:attributeName.

  Parameters:
    `attributeName` - the attribute's type is String

### getAccumulate

    public OdfAccumulateType getAccumulate()

  Get value of attribute smil:accumulate.

  Returns:
    return the attribute which type is OdfAccumulateType

### setAccumulate

    public void setAccumulate(OdfAccumulateType accumulate)

  Set value of attribute smil:accumulate.

  Parameters:
    `accumulate` - the attribute's type is OdfAccumulateType

### getAdditive

    public OdfAdditiveType getAdditive()

  Get value of attribute smil:additive.

  Returns:
    return the attribute which type is OdfAdditiveType

### setAdditive

    public void setAdditive(OdfAdditiveType additive)

  Set value of attribute smil:additive.

  Parameters:
    `additive` - the attribute's type is OdfAdditiveType

### getValues

    public String getValues()

  Get value of attribute smil:values.

  Returns:
    return the attribute which type is String

### setValues

    public void setValues(String values)

  Set value of attribute smil:values.

  Parameters:
    `values` - the attribute's type is String

### getFormula

    public String getFormula()

  Get value of attribute anim:formula.

  Returns:
    return the attribute which type is String

### setFormula

    public void setFormula(String formula)

  Set value of attribute anim:formula.

  Parameters:
    `formula` - the attribute's type is String

### getTo

    public String getTo()

  Get value of attribute smil:to.

  Returns:
    return the attribute which type is String

### setTo

    public void setTo(String to)

  Set value of attribute smil:to.

  Parameters:
    `to` - the attribute's type is String

### getFrom

    public String getFrom()

  Get value of attribute smil:from.

  Returns:
    return the attribute which type is String

### setFrom

    public void setFrom(String from)

  Set value of attribute smil:from.

  Parameters:
    `from` - the attribute's type is String

### getBy

    public String getBy()

  Get value of attribute smil:by.

  Returns:
    return the attribute which type is String

### setBy

    public void setBy(String by)

  Set value of attribute smil:by.

  Parameters:
    `by` - the attribute's type is String

### getCalcMode

    public OdfCalcModeType getCalcMode()

  Get value of attribute smil:calcMode.

  Returns:
    return the attribute which type is OdfCalcModeType

### setCalcMode

    public void setCalcMode(OdfCalcModeType calcMode)

  Set value of attribute smil:calcMode.

  Parameters:
    `calcMode` - the attribute's type is OdfCalcModeType

### getKeyTimes

    public String getKeyTimes()

  Get value of attribute smil:keyTimes.

  Returns:
    return the attribute which type is String

### setKeyTimes

    public void setKeyTimes(String keyTimes)

  Set value of attribute smil:keyTimes.

  Parameters:
    `keyTimes` - the attribute's type is String

### getKeySplines

    public String getKeySplines()

  Get value of attribute smil:keySplines.

  Returns:
    return the attribute which type is String

### setKeySplines

    public void setKeySplines(String keySplines)

  Set value of attribute smil:keySplines.

  Parameters:
    `keySplines` - the attribute's type is String

### getColorInterpolation

    public OdfColorInterpolationType getColorInterpolation()

  Get value of attribute anim:color-interpolation.

  Returns:
    return the attribute which type is OdfColorInterpolationType

### setColorInterpolation

    public void setColorInterpolation(OdfColorInterpolationType colorInterpolation)

  Set value of attribute anim:color-interpolation.

  Parameters:
    `colorInterpolation` - the attribute's type is OdfColorInterpolationType

### getColorInterpolationDirection

    public OdfColorInterpolationDirectionType getColorInterpolationDirection()

  Get value of attribute anim:color-interpolation-direction.

  Returns:
    return the attribute which type is OdfColorInterpolationDirectionType

### setColorInterpolationDirection

    public void setColorInterpolationDirection(OdfColorInterpolationDirectionType colorInterpolationDirection)

  Set value of attribute anim:color-interpolation-direction.

  Parameters:
    `colorInterpolationDirection` - the attribute's type is OdfColorInterpolationDirectionType

### getBegin

    public String getBegin()

  Get value of attribute smil:begin.

  Returns:
    return the attribute which type is String

### setBegin

    public void setBegin(String begin)

  Set value of attribute smil:begin.

  Parameters:
    `begin` - the attribute's type is String

### getEnd

    public String getEnd()

  Get value of attribute smil:end.

  Returns:
    return the attribute which type is String

### setEnd

    public void setEnd(String end)

  Set value of attribute smil:end.

  Parameters:
    `end` - the attribute's type is String

### getDur

    public String getDur()

  Get value of attribute smil:dur.

  Returns:
    return the attribute which type is String

### setDur

    public void setDur(String dur)

  Set value of attribute smil:dur.

  Parameters:
    `dur` - the attribute's type is String

### getRepeatDur

    public String getRepeatDur()

  Get value of attribute smil:repeatDur.

  Returns:
    return the attribute which type is String

### setRepeatDur

    public void setRepeatDur(String repeatDur)

  Set value of attribute smil:repeatDur.

  Parameters:
    `repeatDur` - the attribute's type is String

### getRepeatCount

    public OdfNonNegativeInteger getRepeatCount()

  Get value of attribute smil:repeatCount.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setRepeatCount

    public void setRepeatCount(OdfNonNegativeInteger repeatCount)

  Set value of attribute smil:repeatCount.

  Parameters:
    `repeatCount` - the attribute's type is OdfNonNegativeInteger

### getRestart

    public OdfRestartType getRestart()

  Get value of attribute smil:restart.

  Returns:
    return the attribute which type is OdfRestartType

### setRestart

    public void setRestart(OdfRestartType restart)

  Set value of attribute smil:restart.

  Parameters:
    `restart` - the attribute's type is OdfRestartType

### getRestartDefault

    public OdfRestartDefaultType getRestartDefault()

  Get value of attribute smil:restartDefault.

  Returns:
    return the attribute which type is OdfRestartDefaultType

### setRestartDefault

    public void setRestartDefault(OdfRestartDefaultType restartDefault)

  Set value of attribute smil:restartDefault.

  Parameters:
    `restartDefault` - the attribute's type is OdfRestartDefaultType

### getFill

    public OdfFillType getFill()

  Get value of attribute smil:fill.

  Returns:
    return the attribute which type is OdfFillType

### setFill

    public void setFill(OdfFillType fill)

  Set value of attribute smil:fill.

  Parameters:
    `fill` - the attribute's type is OdfFillType

### getFillDefault

    public OdfFillDefaultType getFillDefault()

  Get value of attribute smil:fillDefault.

  Returns:
    return the attribute which type is OdfFillDefaultType

### setFillDefault

    public void setFillDefault(OdfFillDefaultType fillDefault)

  Set value of attribute smil:fillDefault.

  Parameters:
    `fillDefault` - the attribute's type is OdfFillDefaultType

### getAccelerate

    public Double getAccelerate()

  Get value of attribute smil:accelerate.

  Returns:
    return the attribute which type is Double

### setAccelerate

    public void setAccelerate(Double accelerate)

  Set value of attribute smil:accelerate.

  Parameters:
    `accelerate` - the attribute's type is Double

### getDecelerate

    public Double getDecelerate()

  Get value of attribute smil:decelerate.

  Returns:
    return the attribute which type is Double

### setDecelerate

    public void setDecelerate(Double decelerate)

  Set value of attribute smil:decelerate.

  Parameters:
    `decelerate` - the attribute's type is Double

### getAutoReverse

    public OdfBoolean getAutoReverse()

  Get value of attribute smil:autoReverse.

  Returns:
    return the attribute which type is OdfBoolean

### setAutoReverse

    public void setAutoReverse(OdfBoolean isAutoReverse)

  Set value of attribute smil:autoReverse.

  Parameters:
    `isAutoReverse` - the attribute's type is OdfBoolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.